function ST=ik_dec2binarray(n,num)


% Converts the decimal number "num" to a binary array
% the elements of which are equal to the number of qbits
%
%
% num=9,  n=4  then      ST=[1 0 0 1]
% num=9,  n=6  then  ST=[0 0 1 0 0 1]



% Conversion of decimal "state indicators" to binary arrays
%
%  20-10-2003

% n is the number of qbits 
% ST is the array that indicates the state
%
% |01001> --> ST=[0 1 0 0 1]

for i=1:n;
    ST(i)=0;
end

% num is the integer to be converted into a binary array



for i=1:n;
    j=n+1-i;
    
       piliko=num/2;
       pil=floor(piliko);
       
       if((piliko-pil)==0)
           ST(j)=0;
       else
           ST(j)=1;
       end
       
       num=pil;
      
end


