function QCB=ik_cntrqbit(n,QR)
% This function produces the tesor product of the input qbits
% AND MARKS THE CONTROL QBITS.

% THE QBITS THAT ARE |1> PRODUCE A LARGE NUMBER INTO 
% THE TENSOR PRODUCT
% n: Numper of input qbits
% QR: Initial state matrix [0 1 0 0 ... 1]

% Initialisation of the 2-D input matrix

for i=1:2
   for j=1:n
      QCB2D(i,j)=1;
   end
end
% 2-D input matrix construction
for i=1:n
   if (QR(i)==1) 
      QCB2D(2,i)=100;
   end
end
% Input state. Input qbit tensor product
inacb=QCB2D(:,n);
for j=1:n-1
   inbcb=QCB2D(:,n-j);
   if (j==1)
   QCB=kron(inbcb,inacb);
   else
      QCB=kron(inbcb,QCB);
   end
end



