function QBIN=ik_qcin(n,QR)

% This function produces the tesor product of the input qbits
% n: Numper of input qbits
% QR: Initial state matrix [0 1 0 0 ... 1]

% Initialisation of the 2-D input matrix

for i=1:2
   for j=1:n
      QR2D(i,j)=0;
   end
end
% 2-D input matrix construction
for i=1:n
   if (QR(i)==0) 
      QR2D(1,i)=1;
   else
      QR2D(2,i)=1;
   end
end
% Input state. Input qbit tensor product
ina=QR2D(:,n);
for j=1:n-1
   inb=QR2D(:,n-j);
   if (j==1)
   QBIN=kron(inb,ina);
   else
      QBIN=kron(inb,QBIN);
   end
end



